Gem mysql on windows problem

hi guys
I used to running ruby apps on ubuntu but someone else would running
them on
win32.
recently I find a problem in gem “mysql” on ruby 1.9.2.
I connect, query, query.
but it seems that the connection aborts when the first query completes
and
then the second query ends with error “not connected”.

this issue seems to exist on win32 only.

is there any solution?

thanks
jason

On Sep 15, 2:03 am, jason joo [email protected] wrote:

this issue seems to exist on win32 only.

is there any solution?

On Linux you compile everything, on Windows there are binary gems
provided, so:

Specifically what version of Ruby (ruby -v) are you talking about?

What version of mysql gem did you installed?

Is the MySQL server local? What version of MySQL is?

Have you copied libmysql.dll into Ruby\bin as described by
RubyInstaller tutorials?

http://github.com/oneclick/rubyinstaller/wiki/Tutorials

If so, what version of libmysql.dll have you copied?

Help us help you.

yeah, it works !
thanks a lot
though I have used the one-click-installer the “libmysql.dll” is not
contained in it
so I feel confused that why not publishing the installer with it if the
bin
file require a centain version one?

thanks again
jason

2010/9/15 Luis L. [email protected]

On Sep 17, 2:39 am, jason joo [email protected] wrote:

[Note: parts of this message were removed to make it a legal post.]

yeah, it works !
thanks a lot
though I have used the one-click-installer the “libmysql.dll” is not
contained in it
so I feel confused that why not publishing the installer with it if the bin
file require a centain version one?

No MySQL libraires are included in the installers, is up to you.

The libmysql.dll used with mysql binary gem needs to be 5.0.x, attempt
to use 5.1.x versions of the DLL will results in segfaults due
internal MySQL changes.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs